Subject: bug#9571: 24.0.50; user option to turn off bidi, please

From: Juanma Barranquero <[email-masked]>
Date: Fri, 23 Sep 2011 13:45:35 +0200

2011/9/23 Štěpán Němec <[email-masked]>:

> Thank you very much for the explanation. (I guess "pushing bidi down
> everybody's throat" was picturesque in a wrong way, sorry for that; it's
> really just another way of saying "bidi will (one day) become the only
> way to display text in Emacs").

Again: the unicode merge brought the new font backends, which became
the only way to display text in Emacs. That's progress. It's not as if
the previous releases suddenly disappear, for those unable or
unwilling to use newer Emacsen. I switched from Firefox to Chrome
because I cannot bear the new Firefox interface, but I don't expect
the Firefox developers to add ways to make Firefox 6 to behave exactly
like Firefox 4.

> I still think "there is no way back" is all the more reason to be as
> helpful and open about the changes and possible problems as possible.

Pretest *is* the moment to discover, and hopefully fix, the possible problems...

> In
> other words, not clearly saying that bidi might bring problems and how
> to work around them in the user documentation at this point would only
> be reasonable if Emacs bidi was pretty much a solved problem, but that's
> really not the impression I got from the related emacs-devel discussions
> or even from your explanation.

That's a bit absurd, IMO (no offense intended). New features are never
a "solved problem" until they have been extensively tested, and then
some. That has to be done at some point in time. And that moment is
now.

    Juanma